API Reference

Fetch a tokenized card

GET/credit_cards/{token_or_alias}

Query Parameters

token_or_aliasstring

Token or alias of the card

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/credit_cards/fke81qwe -u TEST:TEST

Response

200Result
json
{
  "successful": true,
  "response": {
  "token": "fke81qwe",
  "card_holder": "Card Holder",
  "card_number": "411111XXXXXX1111",
  "card_expiry": "2022-12-31",
  "card_type": "VISA",
  "card_category": "Credit",
  "card_subcategory": "Credit",
  "card_issuer": "Jpmorgan Chase Bank, N.A.",
  "card_country": "United States",
  "authorized": true,
  "transaction_count": 1,
  "alias": null
  },
  "errors": [],
  "test": true
}
404Result
json
{
  "successful": false,
  "response": null,
  "errors": [
  "Record not found"
  ],
  "test": true
}